<template>
  <div>
    <AppHeader />
    <SearchBar v-if="handleSearch" />
    <router-view></router-view>
  </div>
</template>

<script>
import AppHeader from "./AppHeader";
import SearchBar from "./SearchBar";
export default {
  name: "MainLayout",
  components: {
    AppHeader,
    SearchBar,
  },
  data() {
    return {
      trackSearch: true,
    };
  },
  computed: {
    handleSearch() {
      return this.trackSearch;
    },
  },
  updated() {
    this.trackSearch =
      this.$router.currentRoute.name == "AppBookMarks" ||
      this.$router.currentRoute.name == "detailPage"
        ? false
        : true;
  },
  mounted() {
    this.trackSearch =
      this.$router.currentRoute.name == "AppBookMarks" ||
      this.$router.currentRoute.name == "detailPage"
        ? false
        : true;
  },
};
</script>
